Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#610 closed defect (fixed)

tm27 pollutes bsp.h

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Let me finally file a PR on one of my favorite design flaws in RTEMS: bsp.h's are cluttered with tmtest27/tm27 defines.

IMNSHO, this is a non-acceptable, non-excusable design flaw and should be removed ASAP.

Release:
RTEMS-*

Change History (4)

comment:1 Changed on 04/20/04 at 12:33:22 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 04/22/04 at 04:45:35 by Ralf Corsepius

Status: waitingassigned

comment:3 Changed on 04/23/04 at 03:56:59 by Ralf Corsepius

Status: assignedwaiting

comment:4 Changed on 07/22/04 at 12:54:27 by Ralf Corsepius

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: tm27.h split out in RTEMS-CVS.
Won't fix for 4.6

Note: See TracTickets for help on using tickets.